/**
 * Adyen Payment Service
 * A set of API endpoints that allow you to initiate, settle, and modify payments on the Adyen payments platform. You can use the API to accept card payments (including One-Click and 3D Secure), bank transfers, ewallets, and many other payment methods.  To learn more about the API, visit [Classic integration](https://docs.adyen.com/classic-integration).  ## Authentication To connect to the Payments API, you must use your basic authentication credentials. For this, create your web service user, as described in [How to get the WS user password](https://docs.adyen.com/user-management/how-to-get-the-web-service-ws-user-password). Then use its credentials to authenticate your request, for example:  ``` curl -U \"ws@Company.YourCompany\":\"YourWsPassword\" \\ -H \"Content-Type: application/json\" \\ ... ``` Note that when going live, you need to generate new web service user credentials to access the [live endpoints](https://docs.adyen.com/development-resources/live-endpoints).  ## Versioning Payments API supports versioning of its endpoints through a version suffix in the endpoint URL. This suffix has the following format: \"vXX\", where XX is the version number.  For example: ``` https://pal-test.adyen.com/pal/servlet/Payment/v46/authorise ```
 *
 * OpenAPI spec version: 46
 * Contact: support@adyen.com
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 * Do not edit the class manually.
 */ import { Amount } from './amount';
export interface MerchantRiskIndicator {
    /**
     * Whether the chosen delivery address is identical to the billing address.
     */
    addressMatch?: boolean;
    /**
     * Indicator regarding the delivery address. Allowed values: * `shipToBillingAddress` * `shipToVerifiedAddress` * `shipToNewAddress` * `shipToStore` * `digitalGoods` * `goodsNotShipped` * `other`
     */
    deliveryAddressIndicator?: MerchantRiskIndicator.DeliveryAddressIndicatorEnum;
    /**
     * The delivery email address (for digital goods).
     */
    deliveryEmail?: string;
    /**
     * The estimated delivery time for the shopper to receive the goods. Allowed values: * `electronicDelivery` * `sameDayShipping` * `overnightShipping` * `twoOrMoreDaysShipping`
     */
    deliveryTimeframe?: MerchantRiskIndicator.DeliveryTimeframeEnum;
    giftCardAmount?: Amount;
    /**
     * Number of individual prepaid or gift cards used for this purchase.
     */
    giftCardCount?: number;
    /**
     * For pre-order purchases, the expected date this product will be available to the shopper.
     */
    preOrderDate?: Date;
    /**
     * Indicator for whether this transaction is for pre-ordering a product.
     */
    preOrderPurchase?: boolean;
    /**
     * Indicator for whether the shopper has already purchased the same items in the past.
     */
    reorderItems?: boolean;
}
export declare namespace MerchantRiskIndicator {
    type DeliveryAddressIndicatorEnum = 'shipToBillingAddress' | 'shipToVerifiedAddress' | 'shipToNewAddress' | 'shipToStore' | 'digitalGoods' | 'goodsNotShipped' | 'other';
    const DeliveryAddressIndicatorEnum: {
        ShipToBillingAddress: import("../checkout").MerchantRiskIndicator.DeliveryAddressIndicatorEnum;
        ShipToVerifiedAddress: import("../checkout").MerchantRiskIndicator.DeliveryAddressIndicatorEnum;
        ShipToNewAddress: import("../checkout").MerchantRiskIndicator.DeliveryAddressIndicatorEnum;
        ShipToStore: import("../checkout").MerchantRiskIndicator.DeliveryAddressIndicatorEnum;
        DigitalGoods: import("../checkout").MerchantRiskIndicator.DeliveryAddressIndicatorEnum;
        GoodsNotShipped: import("../checkout").MerchantRiskIndicator.DeliveryAddressIndicatorEnum;
        Other: import("../checkout").MerchantRiskIndicator.DeliveryAddressIndicatorEnum;
    };
    type DeliveryTimeframeEnum = 'electronicDelivery' | 'sameDayShipping' | 'overnightShipping' | 'twoOrMoreDaysShipping';
    const DeliveryTimeframeEnum: {
        ElectronicDelivery: import("../checkout").MerchantRiskIndicator.DeliveryTimeframeEnum;
        SameDayShipping: import("../checkout").MerchantRiskIndicator.DeliveryTimeframeEnum;
        OvernightShipping: import("../checkout").MerchantRiskIndicator.DeliveryTimeframeEnum;
        TwoOrMoreDaysShipping: import("../checkout").MerchantRiskIndicator.DeliveryTimeframeEnum;
    };
}
