/**
 * Adyen Payout Service
 * A set of API endpoints that allow you to store payout details, confirm, or decline a payout.  For more information, refer to [Third-party payouts](https://docs.adyen.com/features/third-party-payouts).
 *
 * OpenAPI spec version: 30
 * Contact: support@adyen.com
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 * Do not edit the class manually.
 */
export interface Card {
    /**
     * The [card verification code](https://docs.adyen.com/payment-glossary#cardsecuritycodecvccvvcid) (1-20 characters). Depending on the card brand, it is known also as: * CVV2/CVC2 – length: 3 digits * CID – length: 4 digits > If you are using [Client-Side Encryption](https://docs.adyen.com/features/client-side-encryption), the CVC code is present in the encrypted data. You must never post the card details to the server. > This field must be always present in a [one-click payment request](https://docs.adyen.com/classic-integration/recurring-payments). > When this value is returned in a response, it is always empty because it is not stored.
     */
    cvc?: string;
    /**
     * The card expiry month. Format: 2 digits, zero-padded for single digits. For example: * 03 = March * 11 = November
     */
    expiryMonth: string;
    /**
     * The card expiry year. Format: 4 digits. For example: 2020
     */
    expiryYear: string;
    /**
     * The name of the cardholder, as printed on the card.
     */
    holderName: string;
    /**
     * The issue number of the card (for some UK debit cards only).
     */
    issueNumber?: string;
    /**
     * The card number (4-19 characters). Do not use any separators. When this value is returned in a response, only the last 4 digits of the card number are returned.
     */
    number: string;
    /**
     * The month component of the start date (for some UK debit cards only).
     */
    startMonth?: string;
    /**
     * The year component of the start date (for some UK debit cards only).
     */
    startYear?: string;
}
