/**
 * Adyen Payout Service
 * A set of API endpoints that allow you to store payout details, confirm, or decline a payout.  For more information, refer to [Third-party payouts](https://docs.adyen.com/features/third-party-payouts).
 *
 * OpenAPI spec version: 30
 * Contact: support@adyen.com
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 * Do not edit the class manually.
 */
export interface Recurring {
    /**
     * The type of recurring contract to be used. Possible values: * `ONECLICK` – Payment details can be used to initiate a one-click payment, where the shopper enters the [card security code (CVC/CVV)](https://docs.adyen.com/payment-glossary#cardsecuritycodecvccvvcid). * `RECURRING` – Payment details can be used without the card security code to initiate [card-not-present transactions](https://docs.adyen.com/payment-glossary#cardnotpresentcnp). * `ONECLICK,RECURRING` – Payment details can be used regardless of whether the shopper is on your site or not. * `PAYOUT` – Payment details can be used to [make a payout](https://docs.adyen.com/features/third-party-payouts).
     */
    contract?: Recurring.ContractEnum;
    /**
     * A descriptive name for this detail.
     */
    recurringDetailName?: string;
    /**
     * The name of the token service.
     */
    tokenService?: Recurring.TokenServiceEnum;
}
export declare namespace Recurring {
    type ContractEnum = 'ONECLICK' | 'RECURRING' | 'PAYOUT';
    const ContractEnum: {
        ONECLICK: import("../checkout").Recurring.ContractEnum;
        RECURRING: import("../checkout").Recurring.ContractEnum;
        PAYOUT: import("../checkout").Recurring.ContractEnum;
    };
    type TokenServiceEnum = 'VISATOKENSERVICE' | 'MCTOKENSERVICE';
    const TokenServiceEnum: {
        VISATOKENSERVICE: import("../checkout").Recurring.TokenServiceEnum;
        MCTOKENSERVICE: import("../checkout").Recurring.TokenServiceEnum;
    };
}
