/**
 * Adyen Recurring Service
 * The Recurring APIs allow you to manage and remove your tokens or saved payment details. Tokens should be created with validation during a payment request.  For more information, refer to our [Tokenization documentation](https://docs.adyen.com/features/tokenization). ## Authentication To connect to the Recurring API, you must use your basic authentication credentials. For this, create your web service user, as described in [How to get the WS user password](https://docs.adyen.com/user-management/how-to-get-the-web-service-ws-user-password). Then use its credentials to authenticate your request, for example:  ``` curl -U \"ws@Company.YourCompany\":\"YourWsPassword\" \\ -H \"Content-Type: application/json\" \\ ... ``` Note that when going live, you need to generate new web service user credentials to access the [live endpoints](https://docs.adyen.com/development-resources/live-endpoints).  ## Versioning Recurring API supports versioning of its endpoints through a version suffix in the endpoint URL. This suffix has the following format: \"vXX\", where XX is the version number.  For example: ``` https://pal-test.adyen.com/pal/servlet/Recurring/v30/disable ```
 *
 * OpenAPI spec version: 30
 * Contact: support@adyen.com
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 * Do not edit the class manually.
 */ import { Address } from './address';
import { BankAccount } from './bankAccount';
import { Card } from './card';
import { Name } from './name';
export interface RecurringDetail {
    /**
     * This field contains additional data, which may be returned in a particular response.  The additionalData object consists of entries, each of which includes the key and value. For more information on possible key-value pairs, refer to [RecurringDetail.additionalData](https://docs.adyen.com/api-reference/recurring-api#recurringdetailadditionaldata).
     */
    additionalData?: any;
    /**
     * The alias of the credit card number.  Applies only to recurring contracts storing credit card details
     */
    alias?: string;
    /**
     * The alias type of the credit card number.  Applies only to recurring contracts storing credit card details.
     */
    aliasType?: string;
    bank?: BankAccount;
    billingAddress?: Address;
    card?: Card;
    /**
     * Types of recurring contracts.
     */
    contractTypes?: string[];
    /**
     * The date when the recurring details were created.
     */
    creationDate?: Date;
    /**
     * The `pspReference` of the first recurring payment that created the recurring detail.
     */
    firstPspReference?: string;
    /**
     * An optional descriptive name for this recurring detail.
     */
    name?: string;
    /**
     * The  type or sub-brand of a payment method used, e.g. Visa Debit, Visa Corporate, etc. For more information, refer to [PaymentMethodVariant](https://docs.adyen.com/api-reference/common-api/paymentmethodvariant).
     */
    paymentMethodVariant?: string;
    /**
     * The reference that uniquely identifies the recurring detail.
     */
    recurringDetailReference: string;
    shopperName?: Name;
    /**
     * A shopper's social security number (only in countries where it is legal to collect).
     */
    socialSecurityNumber?: string;
    /**
     * The payment method, such as “mc\", \"visa\", \"ideal\", \"paypal\".
     */
    variant: string;
}
