/**
 * Adyen Checkout Service
 * Adyen Checkout API provides a simple and flexible way to initiate and authorise online payments. You can use the same integration for payments made with cards (including One-Click and 3D Secure), mobile wallets, and local payment methods (e.g. iDEAL and Sofort).  This API reference provides information on available endpoints and how to interact with them. To learn more about the API, visit [Checkout documentation](https://docs.adyen.com/checkout).  ## Authentication Each request to the Checkout API must be signed with an API key. For this, obtain an API Key from your Customer Area, as described in [How to get the API key](https://docs.adyen.com/user-management/how-to-get-the-api-key). Then set this key to the `X-API-Key` header value, for example:  ``` curl -H \"Content-Type: application/json\" \\ -H \"X-API-Key: Your_Checkout_API_key\" \\ ... ``` Note that when going live, you need to generate a new API Key to access the [live endpoints](https://docs.adyen.com/development-resources/live-endpoints).  ## Versioning Checkout API supports versioning of its endpoints through a version suffix in the endpoint URL. This suffix has the following format: \"vXX\", where XX is the version number.  For example: ``` https://checkout-test.adyen.com/v46/payments ```
 *
 * OpenAPI spec version: 46
 * Contact: support@adyen.com
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 * Do not edit the class manually.
 */ import { SplitAmount } from './splitAmount';
export interface Split {
    /**
     * The account to which this split applies.  >Required if the type is `MarketPlace`.
     */
    account?: string;
    amount: SplitAmount;
    /**
     * A description of this split.
     */
    description?: string;
    /**
     * The reference of this split. Used to link other operations (e.g. captures and refunds) to this split.  >Required if the type is `MarketPlace`.
     */
    reference?: string;
    /**
     * The type of this split.  >Permitted values: `Default`, `PaymentFee`, `VAT`, `Commission`, `MarketPlace`, `Verification`.
     */
    type: Split.TypeEnum;
}
export declare namespace Split {
    type TypeEnum = 'Commission' | 'Default' | 'MarketPlace' | 'PaymentFee' | 'VAT' | 'Verification';
    const TypeEnum: {
        Commission: TypeEnum;
        Default: TypeEnum;
        MarketPlace: TypeEnum;
        PaymentFee: TypeEnum;
        VAT: TypeEnum;
        Verification: TypeEnum;
    };
}
