/**
 * Adyen Payment Service
 * A set of API endpoints that allow you to initiate, settle, and modify payments on the Adyen payments platform. You can use the API to accept card payments (including One-Click and 3D Secure), bank transfers, ewallets, and many other payment methods.  To learn more about the API, visit [Classic integration](https://docs.adyen.com/classic-integration).  ## Authentication To connect to the Payments API, you must use your basic authentication credentials. For this, create your web service user, as described in [How to get the WS user password](https://docs.adyen.com/user-management/how-to-get-the-web-service-ws-user-password). Then use its credentials to authenticate your request, for example:  ``` curl -U \"ws@Company.YourCompany\":\"YourWsPassword\" \\ -H \"Content-Type: application/json\" \\ ... ``` Note that when going live, you need to generate new web service user credentials to access the [live endpoints](https://docs.adyen.com/development-resources/live-endpoints).  ## Versioning Payments API supports versioning of its endpoints through a version suffix in the endpoint URL. This suffix has the following format: \"vXX\", where XX is the version number.  For example: ``` https://pal-test.adyen.com/pal/servlet/Payment/v46/authorise ```
 *
 * OpenAPI spec version: 46
 * Contact: support@adyen.com
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 * Do not edit the class manually.
 */
export interface AccountInfo {
    /**
     * Indicator for the length of time since this shopper account was created in the merchant's environment. Allowed values: * notApplicable * thisTransaction * lessThan30Days * from30To60Days * moreThan60Days
     */
    accountAgeIndicator?: AccountInfo.AccountAgeIndicatorEnum;
    /**
     * Date when the shopper's account was last changed.
     */
    accountChangeDate?: Date;
    /**
     * Indicator for the length of time since the shopper's account was last updated. Allowed values: * thisTransaction * lessThan30Days * from30To60Days * moreThan60Days
     */
    accountChangeIndicator?: AccountInfo.AccountChangeIndicatorEnum;
    /**
     * Date when the shopper's account was created.
     */
    accountCreationDate?: Date;
    /**
     * Number of attempts the shopper tried to add a card to their account in the last day.
     */
    addCardAttemptsDay?: number;
    /**
     * Date the selected delivery address was last used.
     */
    deliveryAddressUsageDate?: Date;
    /**
     * Indicator for the length of time since this delivery address was last used. Allowed values: * thisTransaction * lessThan30Days * from30To60Days * moreThan60Days
     */
    deliveryAddressUsageIndicator?: AccountInfo.DeliveryAddressUsageIndicatorEnum;
    /**
     * Shopper's home phone number (including the country code).
     */
    homePhone?: string;
    /**
     * Shopper's mobile phone number (including the country code).
     */
    mobilePhone?: string;
    /**
     * Date when the shopper last changed their password.
     */
    passwordChangeDate?: Date;
    /**
     * Indicator when the shopper has changed their password. Allowed values: * notApplicable * thisTransaction * lessThan30Days * from30To60Days * moreThan60Days
     */
    passwordChangeIndicator?: AccountInfo.PasswordChangeIndicatorEnum;
    /**
     * Number of all transactions (successful and abandoned) from this shopper in the past 24 hours.
     */
    pastTransactionsDay?: number;
    /**
     * Number of all transactions (successful and abandoned) from this shopper in the past year.
     */
    pastTransactionsYear?: number;
    /**
     * Date this payment method was added to the shopper's account.
     */
    paymentAccountAge?: Date;
    /**
     * Indicator for the length of time since this payment method was added to this shopper's account. Allowed values: * notApplicable * thisTransaction * lessThan30Days * from30To60Days * moreThan60Days
     */
    paymentAccountIndicator?: AccountInfo.PaymentAccountIndicatorEnum;
    /**
     * Number of successful purchases in the last six months.
     */
    purchasesLast6Months?: number;
    /**
     * Whether suspicious activity was recorded on this account.
     */
    suspiciousActivity?: boolean;
    /**
     * Shopper's work phone number (including the country code).
     */
    workPhone?: string;
}
export declare namespace AccountInfo {
    type AccountAgeIndicatorEnum = 'notApplicable' | 'thisTransaction' | 'lessThan30Days' | 'from30To60Days' | 'moreThan60Days';
    const AccountAgeIndicatorEnum: {
        NotApplicable: import("../checkout").AccountInfo.AccountAgeIndicatorEnum;
        ThisTransaction: import("../checkout").AccountInfo.AccountAgeIndicatorEnum;
        LessThan30Days: import("../checkout").AccountInfo.AccountAgeIndicatorEnum;
        From30To60Days: import("../checkout").AccountInfo.AccountAgeIndicatorEnum;
        MoreThan60Days: import("../checkout").AccountInfo.AccountAgeIndicatorEnum;
    };
    type AccountChangeIndicatorEnum = 'thisTransaction' | 'lessThan30Days' | 'from30To60Days' | 'moreThan60Days';
    const AccountChangeIndicatorEnum: {
        ThisTransaction: import("../checkout").AccountInfo.AccountChangeIndicatorEnum;
        LessThan30Days: import("../checkout").AccountInfo.AccountChangeIndicatorEnum;
        From30To60Days: import("../checkout").AccountInfo.AccountChangeIndicatorEnum;
        MoreThan60Days: import("../checkout").AccountInfo.AccountChangeIndicatorEnum;
    };
    type DeliveryAddressUsageIndicatorEnum = 'thisTransaction' | 'lessThan30Days' | 'from30To60Days' | 'moreThan60Days';
    const DeliveryAddressUsageIndicatorEnum: {
        ThisTransaction: import("../checkout").AccountInfo.AccountChangeIndicatorEnum;
        LessThan30Days: import("../checkout").AccountInfo.AccountChangeIndicatorEnum;
        From30To60Days: import("../checkout").AccountInfo.AccountChangeIndicatorEnum;
        MoreThan60Days: import("../checkout").AccountInfo.AccountChangeIndicatorEnum;
    };
    type PasswordChangeIndicatorEnum = 'notApplicable' | 'thisTransaction' | 'lessThan30Days' | 'from30To60Days' | 'moreThan60Days';
    const PasswordChangeIndicatorEnum: {
        NotApplicable: import("../checkout").AccountInfo.AccountAgeIndicatorEnum;
        ThisTransaction: import("../checkout").AccountInfo.AccountAgeIndicatorEnum;
        LessThan30Days: import("../checkout").AccountInfo.AccountAgeIndicatorEnum;
        From30To60Days: import("../checkout").AccountInfo.AccountAgeIndicatorEnum;
        MoreThan60Days: import("../checkout").AccountInfo.AccountAgeIndicatorEnum;
    };
    type PaymentAccountIndicatorEnum = 'notApplicable' | 'thisTransaction' | 'lessThan30Days' | 'from30To60Days' | 'moreThan60Days';
    const PaymentAccountIndicatorEnum: {
        NotApplicable: import("../checkout").AccountInfo.AccountAgeIndicatorEnum;
        ThisTransaction: import("../checkout").AccountInfo.AccountAgeIndicatorEnum;
        LessThan30Days: import("../checkout").AccountInfo.AccountAgeIndicatorEnum;
        From30To60Days: import("../checkout").AccountInfo.AccountAgeIndicatorEnum;
        MoreThan60Days: import("../checkout").AccountInfo.AccountAgeIndicatorEnum;
    };
}
