/**
 * Adyen Payment Service
 * A set of API endpoints that allow you to initiate, settle, and modify payments on the Adyen payments platform. You can use the API to accept card payments (including One-Click and 3D Secure), bank transfers, ewallets, and many other payment methods.  To learn more about the API, visit [Classic integration](https://docs.adyen.com/classic-integration).  ## Authentication To connect to the Payments API, you must use your basic authentication credentials. For this, create your web service user, as described in [How to get the WS user password](https://docs.adyen.com/user-management/how-to-get-the-web-service-ws-user-password). Then use its credentials to authenticate your request, for example:  ``` curl -U \"ws@Company.YourCompany\":\"YourWsPassword\" \\ -H \"Content-Type: application/json\" \\ ... ``` Note that when going live, you need to generate new web service user credentials to access the [live endpoints](https://docs.adyen.com/development-resources/live-endpoints).  ## Versioning Payments API supports versioning of its endpoints through a version suffix in the endpoint URL. This suffix has the following format: \"vXX\", where XX is the version number.  For example: ``` https://pal-test.adyen.com/pal/servlet/Payment/v46/authorise ```
 *
 * OpenAPI spec version: 46
 * Contact: support@adyen.com
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 * Do not edit the class manually.
 */
export interface DeviceRenderOptions {
    /**
     * Supported SDK interface types. Allowed values: * Native * Html * both
     */
    sdkInterface?: DeviceRenderOptions.SdkInterfaceEnum;
    /**
     * UI types supported for displaying specific challenges. Allowed values: * text * singleSelect * outOfBand * otherHtml * multiSelect
     */
    sdkUiType?: DeviceRenderOptions.SdkUiTypeEnum[];
}
export declare namespace DeviceRenderOptions {
    type SdkInterfaceEnum = 'Html' | 'Native' | 'both';
    const SdkInterfaceEnum: {
        Html: import("../checkout").DeviceRenderOptions.SdkInterfaceEnum;
        Native: import("../checkout").DeviceRenderOptions.SdkInterfaceEnum;
        Both: import("../checkout").DeviceRenderOptions.SdkInterfaceEnum;
    };
    type SdkUiTypeEnum = 'multiSelect' | 'otherHtml' | 'outOfBand' | 'singleSelect' | 'text';
    const SdkUiTypeEnum: {
        MultiSelect: import("../checkout").DeviceRenderOptions.SdkUiTypeEnum;
        OtherHtml: import("../checkout").DeviceRenderOptions.SdkUiTypeEnum;
        OutOfBand: import("../checkout").DeviceRenderOptions.SdkUiTypeEnum;
        SingleSelect: import("../checkout").DeviceRenderOptions.SdkUiTypeEnum;
        Text: import("../checkout").DeviceRenderOptions.SdkUiTypeEnum;
    };
}
